program = exercise_02_24

execute:
	g++ -E	$(program).cpp	-o $(program).ii
	g++ -S	$(program).ii	-o $(program).s
	g++ -c	$(program).s	-o $(program).o
	g++	$(program).o	-o $(program)
	echo	$(program)   >	.gitignore

clean:
	rm $(program).ii $(program).s $(program).o $(program) .gitignore

test:
	./$(program)
